

# BatchPutFieldOptions
<a name="API_connect-cases_BatchPutFieldOptions"></a>

Creates and updates a set of field options for a single select field in a Cases domain.

## Request Syntax
<a name="API_connect-cases_BatchPutFieldOptions_RequestSyntax"></a>

```
PUT /domains/domainId/fields/fieldId/options HTTP/1.1
Content-type: application/json

{
   "options": [ 
      { 
         "active": boolean,
         "name": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_connect-cases_BatchPutFieldOptions_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_BatchPutFieldOptions_RequestSyntax) **   <a name="connect-connect-cases_BatchPutFieldOptions-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

 ** [fieldId](#API_connect-cases_BatchPutFieldOptions_RequestSyntax) **   <a name="connect-connect-cases_BatchPutFieldOptions-request-uri-fieldId"></a>
The unique identifier of a field.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_BatchPutFieldOptions_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [options](#API_connect-cases_BatchPutFieldOptions_RequestSyntax) **   <a name="connect-connect-cases_BatchPutFieldOptions-request-options"></a>
A list of `FieldOption` objects.  
Type: Array of [FieldOption](API_connect-cases_FieldOption.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.  
Required: Yes

## Response Syntax
<a name="API_connect-cases_BatchPutFieldOptions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "errors": [ 
      { 
         "errorCode": "string",
         "message": "string",
         "value": "string"
      }
   ]
}
```

## Response Elements
<a name="API_connect-cases_BatchPutFieldOptions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errors](#API_connect-cases_BatchPutFieldOptions_ResponseSyntax) **   <a name="connect-connect-cases_BatchPutFieldOptions-response-errors"></a>
A list of field errors.   
Type: Array of [FieldOptionError](API_connect-cases_FieldOptionError.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.

## Errors
<a name="API_connect-cases_BatchPutFieldOptions_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_BatchPutFieldOptions_Examples"></a>

### Example
<a name="API_connect-cases_BatchPutFieldOptions_Example_1"></a>

Request and Response Example:

```
{
  "options": [
    {
    "active": true,
    "name": "California",
    "value": "CA"
    },
    {
    "active": true,
    "name": "Washington",
    "value": "WA"
    },
    {
    "active": false,
    "name": "New York",
    "value": "NY"
    },
    {
    "active": false,
    "name": "Massachusetts",
    "value": "MA"
    }
  ]
}
```

```
{
"errors": []
}
```

## See Also
<a name="API_connect-cases_BatchPutFieldOptions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/BatchPutFieldOptions) 